<Type Name="AccessModes" FullName="Mono.Unix.Native.AccessModes">
  <TypeSignature Language="C#" Value="public enum AccessModes" />
  <AssemblyInfo>
    <AssemblyName>Mono.Posix</AssemblyName>
    <AssemblyVersion>2.0.0.0</AssemblyVersion>
  </AssemblyInfo>
  <Base>
    <BaseTypeName>System.Enum</BaseTypeName>
  </Base>
  <Attributes>
    <Attribute>
      <AttributeName>System.CLSCompliant(false)</AttributeName>
    </Attribute>
    <Attribute>
      <AttributeName>System.Flags</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="R_OK">
      <MemberSignature Language="C#" Value="R_OK" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.AccessModes</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Can read.</summary>
      </Docs>
    </Member>
    <Member MemberName="W_OK">
      <MemberSignature Language="C#" Value="W_OK" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.AccessModes</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Can write.</summary>
      </Docs>
    </Member>
    <Member MemberName="X_OK">
      <MemberSignature Language="C#" Value="X_OK" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.AccessModes</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Can execute.</summary>
      </Docs>
    </Member>
    <Member MemberName="F_OK">
      <MemberSignature Language="C#" Value="F_OK" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.AccessModes</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>File exists.</summary>
      </Docs>
    </Member>
  </Members>
  <Docs>
    <summary>Represents the access mode of a task: read, write, execute or test if the file exists.</summary>
    <remarks />
    <altmember cref="M:Mono.Unix.Native.Syscall.access" />
    <altmember cref="M:Mono.Unix.UnixFileSystemInfo.CanAccess" />
    <altmember cref="M:Mono.Unix.UnixFile.CanAccess" />
  </Docs>
</Type>
